diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/customize-loader.dev.js ./wordpress-3.4/wp-includes/js/customize-loader.dev.js
*** ./wordpress-3.3.2/wp-includes/js/customize-loader.dev.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/customize-loader.dev.js	2012-06-08 13:52:44.000000000 -0500
***************
*** 0 ****
--- 1,159 ----
+ if ( typeof wp === 'undefined' )
+ 	var wp = {};
+ 
+ (function( exports, $ ){
+ 	var api = wp.customize,
+ 		Loader;
+ 
+ 	$.extend( $.support, {
+ 		history: !! ( window.history && history.pushState ),
+ 		hashchange: ('onhashchange' in window) && (document.documentMode === undefined || document.documentMode > 7)
+ 	});
+ 
+ 	Loader = $.extend( {}, api.Events, {
+ 		initialize: function() {
+ 			this.body = $( document.body );
+ 
+ 			// Ensure the loader is supported.
+ 			// Check for settings, postMessage support, and whether we require CORS support.
+ 			if ( ! Loader.settings || ! $.support.postMessage || ( ! $.support.cors && Loader.settings.isCrossDomain ) ) {
+ 				return;
+ 			}
+ 
+ 			this.window  = $( window );
+ 			this.element = $( '<div id="customize-container" />' ).appendTo( this.body );
+ 
+ 			this.bind( 'open', this.overlay.show );
+ 			this.bind( 'close', this.overlay.hide );
+ 
+ 			$('#wpbody').on( 'click', '.load-customize', function( event ) {
+ 				event.preventDefault();
+ 
+ 				// Load the theme.
+ 				Loader.open( $(this).attr('href') );
+ 			});
+ 
+ 			// Add navigation listeners.
+ 			if ( $.support.history )
+ 				this.window.on( 'popstate', Loader.popstate );
+ 
+ 			if ( $.support.hashchange ) {
+ 				this.window.on( 'hashchange', Loader.hashchange );
+ 				this.window.triggerHandler( 'hashchange' );
+ 			}
+ 		},
+ 
+ 		popstate: function( e ) {
+ 			var state = e.originalEvent.state;
+ 			if ( state && state.customize )
+ 				Loader.open( state.customize );
+ 			else if ( Loader.active )
+ 				Loader.close();
+ 		},
+ 
+ 		hashchange: function( e ) {
+ 			var hash = window.location.toString().split('#')[1];
+ 
+ 			if ( hash && 0 === hash.indexOf( 'wp_customize=on' ) )
+ 				Loader.open( Loader.settings.url + '?' + hash );
+ 
+ 			if ( ! hash && ! $.support.history )
+ 				Loader.close();
+ 		},
+ 
+ 		open: function( src ) {
+ 			var hash;
+ 
+ 			if ( this.active )
+ 				return;
+ 
+ 			// Load the full page on mobile devices.
+ 			if ( Loader.settings.browser.mobile )
+ 				return window.location = src;
+ 
+ 			this.active = true;
+ 			this.body.addClass('customize-loading');
+ 
+ 			this.iframe = $( '<iframe />', { src: src }).appendTo( this.element );
+ 			this.iframe.one( 'load', this.loaded );
+ 
+ 			// Create a postMessage connection with the iframe.
+ 			this.messenger = new api.Messenger({
+ 				url: src,
+ 				channel: 'loader',
+ 				targetWindow: this.iframe[0].contentWindow
+ 			});
+ 
+ 			// Wait for the connection from the iframe before sending any postMessage events.
+ 			this.messenger.bind( 'ready', function() {
+ 				Loader.messenger.send( 'back' );
+ 			});
+ 
+ 			this.messenger.bind( 'close', function() {
+ 				if ( $.support.history )
+ 					history.back();
+ 				else if ( $.support.hashchange )
+ 					window.location.hash = '';
+ 				else
+ 					Loader.close();
+ 			});
+ 
+ 			this.messenger.bind( 'activated', function( location ) {
+ 				if ( location )
+ 					window.location = location;
+ 			});
+ 
+ 			hash = src.split('?')[1];
+ 
+ 			// Ensure we don't call pushState if the user hit the forward button.
+ 			if ( $.support.history && window.location.href !== src )
+ 				history.pushState( { customize: src }, '', src );
+ 			else if ( ! $.support.history && $.support.hashchange && hash )
+ 				window.location.hash = 'wp_customize=on&' + hash;
+ 
+ 			this.trigger( 'open' );
+ 		},
+ 
+ 		opened: function() {
+ 			Loader.body.addClass( 'customize-active full-overlay-active' );
+ 		},
+ 
+ 		close: function() {
+ 			if ( ! this.active )
+ 				return;
+ 			this.active = false;
+ 
+ 			this.trigger( 'close' );
+ 		},
+ 
+ 		closed: function() {
+ 			Loader.iframe.remove();
+ 			Loader.messenger.destroy();
+ 			Loader.iframe    = null;
+ 			Loader.messenger = null;
+ 			Loader.body.removeClass( 'customize-active full-overlay-active' ).removeClass( 'customize-loading' );
+ 		},
+ 
+ 		loaded: function() {
+ 			Loader.body.removeClass('customize-loading');
+ 		},
+ 
+ 		overlay: {
+ 			show: function() {
+ 				this.element.fadeIn( 200, Loader.opened );
+ 			},
+ 
+ 			hide: function() {
+ 				this.element.fadeOut( 200, Loader.closed );
+ 			}
+ 		}
+ 	});
+ 
+ 	$( function() {
+ 		Loader.settings = _wpCustomizeLoaderSettings;
+ 		Loader.initialize();
+ 	});
+ 
+ 	// Expose the API to the world.
+ 	api.Loader = Loader;
+ })( wp, jQuery );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/customize-preview.dev.js ./wordpress-3.4/wp-includes/js/customize-preview.dev.js
*** ./wordpress-3.3.2/wp-includes/js/customize-preview.dev.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/customize-preview.dev.js	2012-06-11 16:25:05.000000000 -0500
***************
*** 0 ****
--- 1,141 ----
+ (function( exports, $ ){
+ 	var api = wp.customize,
+ 		debounce;
+ 
+ 	debounce = function( fn, delay, context ) {
+ 		var timeout;
+ 		return function() {
+ 			var args = arguments;
+ 
+ 			context = context || this;
+ 
+ 			clearTimeout( timeout );
+ 			timeout = setTimeout( function() {
+ 				timeout = null;
+ 				fn.apply( context, args );
+ 			}, delay );
+ 		};
+ 	};
+ 
+ 	api.Preview = api.Messenger.extend({
+ 		/**
+ 		 * Requires params:
+ 		 *  - url    - the URL of preview frame
+ 		 */
+ 		initialize: function( params, options ) {
+ 			var self = this;
+ 
+ 			api.Messenger.prototype.initialize.call( this, params, options );
+ 
+ 			this.body = $( document.body );
+ 			this.body.on( 'click.preview', 'a', function( event ) {
+ 				event.preventDefault();
+ 				self.send( 'scroll', 0 );
+ 				self.send( 'url', $(this).prop('href') );
+ 			});
+ 
+ 			// You cannot submit forms.
+ 			// @todo: Allow form submissions by mixing $_POST data with the customize setting $_POST data.
+ 			this.body.on( 'submit.preview', 'form', function( event ) {
+ 				event.preventDefault();
+ 			});
+ 
+ 			this.window = $( window );
+ 			this.window.on( 'scroll.preview', debounce( function() {
+ 				self.send( 'scroll', self.window.scrollTop() );
+ 			}, 200 ));
+ 
+ 			this.bind( 'scroll', function( distance ) {
+ 				self.window.scrollTop( distance );
+ 			});
+ 		}
+ 	});
+ 
+ 	$( function() {
+ 		api.settings = window._wpCustomizeSettings;
+ 		if ( ! api.settings )
+ 			return;
+ 
+ 		var preview, bg;
+ 
+ 		preview = new api.Preview({
+ 			url: window.location.href,
+ 			channel: api.settings.channel
+ 		});
+ 
+ 		preview.bind( 'settings', function( values ) {
+ 			$.each( values, function( id, value ) {
+ 				if ( api.has( id ) )
+ 					api( id ).set( value );
+ 				else
+ 					api.create( id, value );
+ 			});
+ 		});
+ 
+ 		preview.trigger( 'settings', api.settings.values );
+ 
+ 		preview.bind( 'setting', function( args ) {
+ 			var value;
+ 
+ 			args = args.slice();
+ 
+ 			if ( value = api( args.shift() ) )
+ 				value.set.apply( value, args );
+ 		});
+ 
+ 		preview.bind( 'sync', function( events ) {
+ 			$.each( events, function( event, args ) {
+ 				preview.trigger( event, args );
+ 			});
+ 			preview.send( 'synced' );
+ 		})
+ 
+ 		preview.send( 'ready' );
+ 
+ 		/* Custom Backgrounds */
+ 		bg = $.map(['color', 'image', 'position_x', 'repeat', 'attachment'], function( prop ) {
+ 			return 'background_' + prop;
+ 		});
+ 
+ 		api.when.apply( api, bg ).done( function( color, image, position_x, repeat, attachment ) {
+ 			var body = $(document.body),
+ 				head = $('head'),
+ 				style = $('#custom-background-css'),
+ 				update;
+ 
+ 			// If custom backgrounds are active and we can't find the
+ 			// default output, bail.
+ 			if ( body.hasClass('custom-background') && ! style.length )
+ 				return;
+ 
+ 			update = function() {
+ 				var css = '';
+ 
+ 				// The body will support custom backgrounds if either
+ 				// the color or image are set.
+ 				//
+ 				// See get_body_class() in /wp-includes/post-template.php
+ 				body.toggleClass( 'custom-background', !! ( color() || image() ) );
+ 
+ 				if ( color() )
+ 					css += 'background-color: ' + color() + ';';
+ 
+ 				if ( image() ) {
+ 					css += 'background-image: url("' + image() + '");';
+ 					css += 'background-position: top ' + position_x() + ';';
+ 					css += 'background-repeat: ' + repeat() + ';';
+ 					css += 'background-position: top ' + attachment() + ';';
+ 				}
+ 
+ 				// Refresh the stylesheet by removing and recreating it.
+ 				style.remove();
+ 				style = $('<style type="text/css" id="custom-background-css">body.custom-background { ' + css + ' }</style>').appendTo( head );
+ 			};
+ 
+ 			$.each( arguments, function() {
+ 				this.bind( update );
+ 			});
+ 		});
+ 	});
+ 
+ })( wp, jQuery );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/hoverIntent.dev.js ./wordpress-3.4/wp-includes/js/hoverIntent.dev.js
*** ./wordpress-3.3.2/wp-includes/js/hoverIntent.dev.js	2009-01-02 09:08:58.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/hoverIntent.dev.js	2011-12-20 14:54:54.000000000 -0600
***************
*** 4,10 ****
  * to see if the user's mouse has slowed down (beneath the sensitivity
  * threshold) before firing the onMouseOver event.
  * 
! * hoverIntent r5 // 2007.03.27 // jQuery 1.1.2+
  * <http://cherne.net/brian/resources/jquery.hoverIntent.html>
  * 
  * hoverIntent is currently available for use in all personal or commercial 
--- 4,10 ----
  * to see if the user's mouse has slowed down (beneath the sensitivity
  * threshold) before firing the onMouseOver event.
  * 
! * hoverIntent r6 // 2011.02.26 // jQuery 1.5.1+
  * <http://cherne.net/brian/resources/jquery.hoverIntent.html>
  * 
  * hoverIntent is currently available for use in all personal or commercial 
***************
*** 25,31 ****
  * 
  * @param  f  onMouseOver function || An object with configuration options
  * @param  g  onMouseOut function  || Nothing (use configuration options object)
! * @author    Brian Cherne <brian@cherne.net>
  */
  (function($) {
  	$.fn.hoverIntent = function(f,g) {
--- 25,31 ----
  * 
  * @param  f  onMouseOver function || An object with configuration options
  * @param  g  onMouseOut function  || Nothing (use configuration options object)
! * @author    Brian Cherne brian(at)cherne(dot)net
  */
  (function($) {
  	$.fn.hoverIntent = function(f,g) {
***************
*** 72,111 ****
  			ob.hoverIntent_s = 0;
  			return cfg.out.apply(ob,[ev]);
  		};
- 		
- 		// workaround for Mozilla bug: not firing mouseout/mouseleave on absolute positioned elements over textareas and input type="text"
- 		var handleHover = function(e) {
- 			var t = this;
- 			
- 			// next two lines copied from jQuery.hover, ignore children onMouseOver/onMouseOut
- 			var p = (e.type == "mouseover" ? e.fromElement : e.toElement) || e.relatedTarget;
- 			while ( p && p != this ) { try { p = p.parentNode; } catch(e) { p = this; } }
- 			if ( p == this ) {
- 				if ( $.browser.mozilla ) {
- 					if ( e.type == "mouseout" ) {
- 						t.mtout = setTimeout( function(){doHover(e,t);}, 30 );
- 					} else {
- 						if (t.mtout) { t.mtout = clearTimeout(t.mtout); }
- 					}
- 				}
- 				return;
- 			} else {
- 				if (t.mtout) { t.mtout = clearTimeout(t.mtout); }
- 				doHover(e,t);
- 			}
- 		};
  
  		// A private function for handling mouse 'hovering'
! 		var doHover = function(e,ob) {
! 
  			// copy objects to be passed into t (required for event object to be passed in IE)
  			var ev = jQuery.extend({},e);
  
  			// cancel hoverIntent timer if it exists
  			if (ob.hoverIntent_t) { ob.hoverIntent_t = clearTimeout(ob.hoverIntent_t); }
  
! 			// else e.type == "onmouseover"
! 			if (e.type == "mouseover") {
  				// set "previous" X and Y position based on initial entry point
  				pX = ev.pageX; pY = ev.pageY;
  				// update "current" X and Y position based on mousemove
--- 72,89 ----
  			ob.hoverIntent_s = 0;
  			return cfg.out.apply(ob,[ev]);
  		};
  
  		// A private function for handling mouse 'hovering'
! 		var handleHover = function(e) {
  			// copy objects to be passed into t (required for event object to be passed in IE)
  			var ev = jQuery.extend({},e);
+ 			var ob = this;
  
  			// cancel hoverIntent timer if it exists
  			if (ob.hoverIntent_t) { ob.hoverIntent_t = clearTimeout(ob.hoverIntent_t); }
  
! 			// if e.type == "mouseenter"
! 			if (e.type == "mouseenter") {
  				// set "previous" X and Y position based on initial entry point
  				pX = ev.pageX; pY = ev.pageY;
  				// update "current" X and Y position based on mousemove
***************
*** 113,119 ****
  				// start polling interval (self-calling timeout) to compare mouse coordinates over time
  				if (ob.hoverIntent_s != 1) { ob.hoverIntent_t = setTimeout( function(){compare(ev,ob);} , cfg.interval );}
  
! 			// else e.type == "onmouseout"
  			} else {
  				// unbind expensive mousemove event
  				$(ob).unbind("mousemove",track);
--- 91,97 ----
  				// start polling interval (self-calling timeout) to compare mouse coordinates over time
  				if (ob.hoverIntent_s != 1) { ob.hoverIntent_t = setTimeout( function(){compare(ev,ob);} , cfg.interval );}
  
! 			// else e.type == "mouseleave"
  			} else {
  				// unbind expensive mousemove event
  				$(ob).unbind("mousemove",track);
***************
*** 123,128 ****
  		};
  
  		// bind the function to the two event listeners
! 		return this.mouseover(handleHover).mouseout(handleHover);
  	};
  })(jQuery);
\ No newline at end of file
--- 101,106 ----
  		};
  
  		// bind the function to the two event listeners
! 		return this.bind('mouseenter',handleHover).bind('mouseleave',handleHover);
  	};
  })(jQuery);
\ No newline at end of file
